## pandas 0.5.0+git7-gcf32be2

=== debian/changelog ===
pandas (0.5.0+git7-gcf32be2-1) unstable; urgency=low

  * New upstream release with post-release fixes

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 01 Nov 2011 21:15:06 -0400

pandas (0.4.3-1) unstable; urgency=low

  * New upstream release(s): primarily bugfixes and optimizations but also
    with some minor API changes and new functionality
  * Adjusted debian/watch to match new layout on github

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 18 Oct 2011 11:27:50 -0400

pandas (0.4.1-1) unstable; urgency=low

  * New upstream bugfix release
    - incorporated all debian/patches
  * debian/rules: 'clean' removes generated pandas/version.py
  * debian/copyright: adjusted to become DEP-5 compliant

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 25 Sep 2011 21:48:30 -0400

pandas (0.4.0-1) unstable; urgency=low

  * Initial Debian release (Closes: #641464)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 13 Sep 2011 12:24:05 -0400
