## pandas 0.7.0

=== debian/changelog ===
pandas (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Updated pre-cythoned .c files for older Debian/Ubuntu releases.
    Added a stamp file with upstream version to assure up-to-dateness
    of the generated files
  * Dropped all exclusions of unittests and patches -- shouldn't be necessary
    any longer
  * Build only for requested versions (not all supported) of Python
  * Do nothing for build operation, rely on overloaded install
    (to avoid undesired re-cythonization on elderly Ubuntus)
  * Adjusted url in watch due to migration of repository under pydata
    organization

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 16 Jan 2012 19:31:50 -0500

pandas (0.6.1-1) UNRELEASED; urgency=low

  * New upstream release
  * python-tk into Build-Depends
  * Create matplotlibrc with backend: Agg to allow tests run without $DISPLAY
  * Carry pre-cythonized .c files for systems with older Cython
  * Skip few tests known to fail

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 13 Dec 2011 18:36:11 -0500
