## pandas 0.7.3

=== debian/changelog ===
pandas (0.7.3-1~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 12 Apr 2012 20:44:24 -0400

pandas (0.7.3-1) unstable; urgency=low

  * Fresh upstream release
    - few post-release patches (submitted upstream) to exclude unittests
  	  requiring network access
  * debian/control:
    - python-openpyxl, python-xlwt, python-xlrd into Build-Depends
      and Recommends
  * debian/rules:
    - exclude running tests marked with @network

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Apr 2012 11:27:31 -0400
