=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
                python-all-dev (>= 2.5), python-support (>= 0.6),
@@ -14,7 +15,8 @@
                python-sphinx (>= 1.0~),
                python-nose,
                python-matplotlib,
-               python-tk
+               python-tk,
+               python-openpyxl, python-xlwt, python-xlrd,
 Standards-Version: 3.9.2
 Homepage: http://pandas.sourceforge.net
 Vcs-Browser: http://github.com/neurodebian/pandas
@@ -22,7 +24,7 @@
 
 Package: python-pandas
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
          python-numpy,
          python-dateutil,
          python-pandas-lib(>= ${source:Version})
@@ -31,7 +33,8 @@
             python-tables,
             python-tz,
             python-xlrd,
-            python-scikits.statsmodels
+            python-scikits.statsmodels,
+            python-openpyxl, python-xlwt, python-xlrd,
 Provides: ${python:Provides}
 Suggests: python-pandas-doc
 Description: data structures for "relational" or "labeled" data
@@ -64,7 +67,7 @@
 
 Package: python-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for pandas
