=== debian/rules ===
--- 
+++ 
@@ -57,8 +57,7 @@
 	: # Run unittests here against installed pandas
 	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
-	cd build/; python$* /usr/bin/nosetests -s -v pandas;
-	: # Upstream was informed about testFamaMacBethRolling failures on 32bit
+	cd build/; python$* /usr/bin/nosetests -s -v -a '!network' pandas;
 else
 	: # Skip unittests due to nocheck
 endif
@@ -90,7 +89,7 @@
 	   sdir=$$(dirname $$lib) ; \
 	   tdir=$(PACKAGE_ROOT_DIR)-lib/$${sdir#*$(PACKAGE_NAME)/} ; \
 	   mkdir -p $$tdir ; \
-	   echo "Moving '$$lib' into '$$tdir'." ; \
+	   echo "I: Moving '$$lib' into '$$tdir'." ; \
 	   mv $$lib $$tdir ; \
 	done
 	if [ -x /usr/bin/dh_numpy ]; then dh_numpy -ppython-pandas-lib; fi
