## pandas 0.8.0

=== debian/changelog ===
pandas (0.8.0-2) unstable; urgency=medium

  * up_tag_yahoo_test_requiring_network patch cherry-picked from upstream
    GIT so that tests would not be excercised at package build time
    (Closes: #681449)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Jul 2012 08:54:41 -0400

pandas (0.8.0-1) unstable; urgency=low

  * Fresh upstream release
  * debian/control
    - drop python-statsmodels from Build-Depends since it might not be yet
      available on some architectures and is not critical for the test
    - recommend python-statsmodels instead of deprecated
      python-scikits.statsmodels

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Jun 2012 13:02:28 -0400

pandas (0.8.0~rc2+git26-g76c6351-1) experimental; urgency=low

  * Fresh upstream release candidate
    - all patches dropped (upstreamed)
    - requires numpy >= 1.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Jun 2012 13:23:27 -0400
