=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
                python-all-dev (>= 2.5), python-support (>= 0.6),
                python-setuptools, cython (>= 0.12~),
-               python-numpy, python-dateutil,
+               python-numpy (>= 1:1.6~), python-dateutil,
                python-scipy,
-               python-scikits.statsmodels,
                python-tz,
                python-tables, python-xlrd,
                python-sphinx (>= 1.0~),
@@ -24,8 +22,8 @@
 
 Package: python-pandas
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
-         python-numpy,
+Depends: ${misc:Depends}, ${python:Depends},
+         python-numpy (>= 1:1.6~),
          python-dateutil,
          python-pandas-lib(>= ${source:Version})
 Recommends: python-scipy,
@@ -33,7 +31,7 @@
             python-tables,
             python-tz,
             python-xlrd,
-            python-scikits.statsmodels,
+            python-statsmodels,
             python-openpyxl, python-xlwt, python-xlrd,
 Provides: ${python:Provides}
 Suggests: python-pandas-doc
@@ -67,7 +65,7 @@
 
 Package: python-pandas-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for pandas
