=== debian/watch ===
version=3
opts="dversionmangle=s/.dfsg$//,uversionmangle=s/v//,filenamemangle=s/.*\/(.*)/pandas-$1\.tar\.gz/" \
 http://github.com/pydata/pandas/tags .*tarball/v?([\d\.]+)
