## pandas 0.9.1

=== debian/changelog ===
pandas (0.9.1-1ubuntu4) raring; urgency=low

  * handle that indep package folder does not exist on arch only build

 -- Julian Taylor <jtaylor@ubuntu.com>  Tue, 27 Nov 2012 22:39:31 +0100

pandas (0.9.1-1ubuntu3) raring; urgency=low

  * use .install files for the -lib packages, fixes missing
    extensions in the arch-only builds
  * drop duplicate build depends and fix a python3 build dependency

 -- Julian Taylor <jtaylor@ubuntu.com>  Tue, 27 Nov 2012 20:33:31 +0100

pandas (0.9.1-1ubuntu2) raring; urgency=low

  * provide python3 package
  * fix-endian-tests.patch:
    patch from upstream to fix the test failure on big endian machines

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 26 Nov 2012 20:51:17 +0100

pandas (0.9.1-1ubuntu1) raring; urgency=low

  * relax-float-tests.patch:
    replace float equality tests with almost equal

 -- Julian Taylor <jtaylor@ubuntu.com>  Wed, 21 Nov 2012 20:25:41 +0100

pandas (0.9.1-1) experimental; urgency=low

  * New upstream release
  * Boosted policy to 3.9.3 (no due changes)
  * debian/rules
    - Fixed up cleaning up of cythonized files

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Nov 2012 09:44:14 -0500

pandas (0.9.0-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 07 Oct 2012 21:26:23 -0400

pandas (0.9.0~rc2-1) experimental; urgency=low

  * New upstream release candidate

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 21 Sep 2012 10:27:52 -0400

pandas (0.8.1-1) unstable; urgency=low

  * Primarily a bugfix upstream release.
  * up_tag_yahoo_test_requiring_network patch removed.

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 22 Jul 2012 20:13:16 -0400
