=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
                python-all-dev (>= 2.5), python-support (>= 0.6),
@@ -9,13 +10,23 @@
                python-numpy (>= 1:1.6~), python-dateutil,
                python-scipy,
                python-tz,
-               python-tables, python-xlrd,
+               python-tables,
                python-sphinx (>= 1.0~),
                python-nose,
                python-matplotlib,
                python-tk,
                python-openpyxl, python-xlwt, python-xlrd,
-Standards-Version: 3.9.2
+               python3-all-dev (>= 2.5),
+               python3-setuptools, cython3 (>= 0.12~),
+               python3-numpy (>= 1:1.6~), python3-dateutil,
+               python3-scipy,
+               python3-tz,
+               python3-sphinx (>= 1.0~),
+               python3-nose,
+               python3-matplotlib,
+               python3-tk
+X-Python3-Version: >= 3.2
+Standards-Version: 3.9.3
 Homepage: http://pandas.sourceforge.net
 Vcs-Browser: http://github.com/neurodebian/pandas
 Vcs-Git: git://github.com/neurodebian/pandas.git
@@ -52,6 +63,39 @@
   - Any other form of observational / statistical data sets. The data
     actually need not be labeled at all to be placed into a pandas
     data structure
+  .
+  This package contains the Python 2 version.
+
+Package: python3-pandas
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends},
+         python3-numpy (>= 1:1.6~),
+         python3-dateutil,
+         python3-pandas-lib(>= ${source:Version})
+Recommends: python3-scipy,
+            python3-matplotlib,
+            python3-tables,
+            python3-tz
+Suggests: python-pandas-doc
+Description: data structures for "relational" or "labeled" data - Python 3
+ pandas is a Python package providing fast, flexible, and expressive
+ data structures designed to make working with "relational" or
+ "labeled" data both easy and intuitive. It aims to be the fundamental
+ high-level building block for doing practical, real world data
+ analysis in Python. pandas is well suited for many different kinds of
+ data:
+ .
+  - Tabular data with heterogeneously-typed columns, as in an SQL
+    table or Excel spreadsheet
+  - Ordered and unordered (not necessarily fixed-frequency) time
+    series data.
+  - Arbitrary matrix data (homogeneously typed or heterogeneous) with
+    row and column labels
+  - Any other form of observational / statistical data sets. The data
+    actually need not be labeled at all to be placed into a pandas
+    data structure
+ .
+ This package contains the Python 3 version.
 
 # No doc package built due to dependency on ipython 0.11 - only experimental
 # Package: python-pandas-doc
@@ -71,3 +115,14 @@
 Description: low-level implementations and bindings for pandas
  This is an add-on package for python-pandas providing
  architecture-dependent extensions.
+ .
+ This package contains the Python 2 version.
+
+Package: python3-pandas-lib
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy
+Description: low-level implementations and bindings for pandas - Python 3
+ This is an add-on package for python-pandas providing
+ architecture-dependent extensions.
+ .
+ This package contains the Python 3 version.
