## pandas 0.10.1

=== debian/changelog ===
pandas (0.10.1-1ubuntu1) raring; urgency=low

  * drop or build dependencies on cython and matplotlib

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 03 Mar 2013 21:30:06 +0100

pandas (0.10.1-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 Jan 2013 13:07:31 -0500

pandas (0.10.0-1) experimental; urgency=low

  * New upstream release
    - drops python 2.5 support (we are dropping pyversions in favor of
      X-Python-Version)
  * debian/patches:
    - all previous are in upstream now, dropped locally
    - added -dsc-patch'es for systems without cython3
  * debian/control:
    - added python-statsmodels for the extended tests coverage

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 17 Dec 2012 12:27:25 -0500

pandas (0.9.1-2) unstable; urgency=low

  [ Julian Taylor ]
  * Provide python3 packages
  * Add autopkgtests
  * debian/patches:
    - relax-float-tests.patch:
      replace float equality tests with almost equal
    - fix-endian-tests.patch:
      patch from upstream to fix the test failure on big endian machines

  [ Yaroslav Halchenko ]
  * Upload to unstable
  * Dropping pysupport
  * debian/rules:
    - slight reduction of code duplication between python 2 and 3
    - cythonize for both python 2 and 3 into separate directories

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 01 Dec 2012 22:57:47 -0500
