=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
-               python-all-dev (>= 2.5), python-support (>= 0.6),
-               python-setuptools, cython (>= 0.12~),
-               python-numpy (>= 1:1.6~), python-dateutil,
+               python-all-dev (>= 2.5),
+               python-setuptools,
+               cython (>= 0.17.1~),
+               python-numpy (>= 1:1.6.1~), python-dateutil,
                python-scipy,
                python-tz,
                python-tables,
@@ -16,20 +17,24 @@
                python-matplotlib,
                python-tk,
                python-openpyxl, python-xlwt, python-xlrd,
-               python3-all-dev (>= 2.5),
-               python3-setuptools, cython3 (>= 0.12~),
-               python3-numpy (>= 1:1.6~), python3-dateutil,
+               python-statsmodels,
+               python3-all-dev,
+               python3-setuptools,
+               cython3 (>= 0.17.1~),
+               python3-numpy (>= 1:1.6.1~), python3-dateutil,
                python3-scipy,
                python3-tz,
                python3-sphinx (>= 1.0~),
                python3-nose,
                python3-matplotlib,
                python3-tk
+X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Standards-Version: 3.9.3
 Homepage: http://pandas.sourceforge.net
 Vcs-Browser: http://github.com/neurodebian/pandas
 Vcs-Git: git://github.com/neurodebian/pandas.git
+XS-Testsuite: autopkgtest
 
 Package: python-pandas
 Architecture: all
