## pandas 0.12.0

=== debian/changelog ===
pandas (0.12.0-2ubuntu1) saucy; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Drop "or" build dependencies on cython and matplotlib.
    - Disable stata tests, which currently require root permission.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 24 Sep 2013 18:54:31 +0400

pandas (0.12.0-2) unstable; urgency=low

  [ Dmitry Shachnev ]
  * DEP-8 tests improvements:
    - Use Xvfb for running tests.
    - Increase verbosity using -v flag.
    - Fix printing interpreter version in unittests3.
  * Fix indentaion in debian/control.

  [ Yaroslav Halchenko ]
  * debian/control
    - place python3-matplotlib ahead of elderly python-matplotlib without
      python3 support since now we have python3-matplotlib in sid
  * debian/copyright
    - go through reported missing copyright/license statements (Closes:
      #700564) Thanks Luca Falavigna for the report
  * debian/rules,patches
    - exclude test test_bar_log due to incompatibility with matplotlib 1.3.0 (test
      adjusted upstream and would be re-enabled for the new release).
    - debian/patches/changeset_952c5f0bc433622d21df20ed761ee4cb728370eb.diff
      adds matplotlib 1.3.0 compatibility

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 14 Sep 2013 20:02:58 -0400

pandas (0.12.0-1) unstable; urgency=low

  * New upstream release:
    - should address failed tests on 32bit platforms
  * debian/patches
    - neurodebian: allow to build for jessie with outdated cython
  * debian/control
    - build for Python2 >= 2.7 due to some (probably temporary) incompatibilities
      in tests with 2.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 24 Jul 2013 23:29:03 -0400

pandas (0.12.0~rc1+git127-gec8920a-1ubuntu3) saucy; urgency=low

  * DEP-8 tests fixes:
    - Increase verbosity using -v flag.
    - Disable stata tests, which currently require root permission.
    - Fix printing interpreter version in unittests3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 25 Jul 2013 15:17:02 +0400

pandas (0.12.0~rc1+git127-gec8920a-1ubuntu2) saucy; urgency=low

  * debian/patches/fix_failing_test.diff: fix failing test on i386.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 24 Jul 2013 19:42:48 +0400

pandas (0.12.0~rc1+git127-gec8920a-1ubuntu1) saucy; urgency=low

  * Merge with Debian experimental, remaining changes:
    - Drop or build dependencies on cython and matplotlib.
    - Use xvfb in DEP-8 tests.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 21 Jul 2013 15:38:49 +0400

pandas (0.12.0~rc1+git127-gec8920a-1) experimental; urgency=low

  * New upstream snapshot from origin/master at v0.12.0rc1-127-gec8920a
    - should address FTBFS due to failing tests on big endians

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 20 Jul 2013 09:23:04 -0400

pandas (0.12.0~rc1+git112-gb79996c-1ubuntu1) saucy; urgency=low

  * Merge with Debian experimental, remaining change:
    - drop or build dependencies on cython and matplotlib
  * Use xvfb in DEP-8 tests.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 20 Jul 2013 15:46:28 +0400

pandas (0.12.0~rc1+git112-gb79996c-1) experimental; urgency=low

  * Fresh git snapshot of upstream candidate release. Experimental build
    to verify functioning across the ports.
  * debian/control
    - dedented last "paragraph" to break it away from the 2nd one.
      Thanks Beatrice Torracca for the detailed report (Closes: #712260)
    - Depends on python-six now
  * debian/{,tests/}control
    - added python{,3}-bs4, python-html5lib to Build-Depends for more
      thorough testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 18 Jul 2013 13:15:19 -0400

pandas (0.11.0-2ubuntu1) saucy; urgency=low

  * Merge with Debian unstable, remaining change:
    - drop or build dependencies on cython and matplotlib

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 23 Jun 2013 18:54:18 +0400

pandas (0.11.0-2) unstable; urgency=low

  [ Yaroslav Halchenko ]
  * Upload to unstable -- this upstream release addressed Cython 0.19
    compatibility issue (Closes: #710608)
  * Recommends numexpr
  * Re-cythonized using Cython 0.19

  [ Dmitry Shachnev ]
  * debian/tests/unittests3: use nosetests3 instead of nosetests-3.x.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Jun 2013 11:57:43 -0400

pandas (0.10.1-1ubuntu2) saucy; urgency=low

  * debian/tests/unittests3: use nosetests3 instead of nosetests-3.x.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 21 May 2013 21:11:56 +0400

pandas (0.11.0-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 Apr 2013 22:40:15 -0400
