=== debian/control ===
--- 
+++ 
@@ -18,6 +18,9 @@
                python-tk,
                python-openpyxl, python-xlwt, python-xlrd,
                python-statsmodels,
+               python-bs4,
+               python-html5lib,
+               python-six,
                python3-all-dev,
                python3-setuptools,
                cython3 (>= 0.17.1~),
@@ -27,8 +30,10 @@
                python3-sphinx (>= 1.0~),
                python3-nose,
                python3-matplotlib,
-               python3-tk
-X-Python-Version: >= 2.6
+               python3-tk,
+               python3-bs4,
+               python3-six,
+X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Standards-Version: 3.9.3
 Homepage: http://pandas.sourceforge.net
@@ -41,14 +46,18 @@
 Depends: ${misc:Depends}, ${python:Depends},
          python-numpy (>= 1:1.6~),
          python-dateutil,
-         python-pandas-lib(>= ${source:Version})
+         python-pandas-lib(>= ${source:Version}),
+         python-six,
 Recommends: python-scipy,
             python-matplotlib,
             python-tables,
+            python-numexpr,
             python-tz,
             python-xlrd,
             python-statsmodels,
             python-openpyxl, python-xlwt, python-xlrd,
+            python-bs4,
+            python-html5lib,
 Provides: ${python:Provides}
 Suggests: python-pandas-doc
 Description: data structures for "relational" or "labeled" data
@@ -68,8 +77,8 @@
   - Any other form of observational / statistical data sets. The data
     actually need not be labeled at all to be placed into a pandas
     data structure
-  .
-  This package contains the Python 2 version.
+ .
+ This package contains the Python 2 version.
 
 Package: python3-pandas
 Architecture: all
@@ -79,8 +88,12 @@
          python3-pandas-lib(>= ${source:Version})
 Recommends: python3-scipy,
             python3-matplotlib,
+            python3-numexpr,
             python3-tables,
-            python3-tz
+            python3-tz,
+            python3-bs4,
+            python3-html5lib,
+            python3-six,
 Suggests: python-pandas-doc
 Description: data structures for "relational" or "labeled" data - Python 3
  pandas is a Python package providing fast, flexible, and expressive
