=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,11 @@
 MIN_CYTHONVER = 0.17.3
 
 # Some unittests might need to be excluded for different Python versions
-EXCLUDE_TESTS2 := 
-EXCLUDE_TESTS3.2 := 
+EXCLUDE_TESTS := --exclude test_bar_log
+EXCLUDE_TESTS2 :=
+EXCLUDE_TESTS3.2 :=
 #--exclude "test_bootstrap_plot"
-EXCLUDE_TESTS3.3 := 
+EXCLUDE_TESTS3.3 :=
 #--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"
 
 # MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
@@ -37,15 +38,28 @@
 	dh $@ --buildsystem=python_distutils --with python2,python3
 
 clean_generated:
-	grep -l -e 'Generated by Cython' pandas/src/*.c | xargs -r rm -f
+	find pandas/ -name *.c | xargs grep -l -e 'Generated by Cython'  | xargs -r rm -f
 
 _cythonize%:
 	debian/rules clean_generated # force removal of previous copies
 	python$(*:2=) setup.py cython
 	D=debian/cythonized-files$(*:2=) && \
-		cp pandas/src/*.c $$D && \
-		git add -f $$D/*.c && \
-		echo "$(UVER)" >| $$D/VERSION
+		git rm -rf $$D; \
+		find pandas/ -name *.c | while read f; do \
+			grep -q 'Generated by Cython' "$$f" || continue; \
+			mkdir -p "$$D/$$(dirname $$f)"; \
+			cp "$$f" "$$D/$$(dirname $$f)"; \
+			git add -f "$$D/$$f"; \
+		done; \
+		echo "$(UVER)" >| $$D/VERSION; git add $$D/VERSION
+
+_uncythonize%:
+	echo "$*" | grep -q '^3' && PY=3 || PY= ; \
+	CYTHONVER=$$(dpkg -l cython$$PY 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0); \
+	dpkg --compare-versions "$$CYTHONVER" lt "$(MIN_CYTHONVER)" && { \
+		echo "I: Using pre-Cython-ed files for Python $*"; \
+		cd debian/cythonized-files$$PY/ ; \
+		find . -name *.c | while read f; do cp $$f ../../$$f; done; } || :
 
 cythonize: _cythonize2 _cythonize3
 
@@ -64,13 +78,7 @@
 
 override_dh_auto_install: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%} ${PYVERS:%=python-test%} ${PY3VERS:%=python-test%}
 # Per Python version logic -- install, test, remomove .so (installed into -lib)
-python-install%:
-	echo "$*" | grep -q '^3' && PY=3 || PY= ; \
-	CYTHONVER=$$(dpkg -l cython$$PY 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0); \
-	dpkg --compare-versions "$$CYTHONVER" lt "$(MIN_CYTHONVER)" && { \
-		echo "I: Using pre-Cython-ed files for Python $*"; \
-		cp -rp debian/cythonized-files$$PY/*.c pandas/src/; } || :
-
+python-install%: _uncythonize%
 	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
 
 python-test%: python-install%
@@ -80,7 +88,8 @@
 	echo "$*" | grep -q '^3' && PY=3 || PY=$*; \
 	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$$PY/*/`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
-	cd build/; python$* /usr/bin/nosetests -s -v -a '!network' $(EXCLUDE_TESTS$*) pandas;
+	python$* ci/print_versions.py; \
+    cd build/; python$* /usr/bin/nosetests -s -v -a '!network' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) pandas;
 else
 	: # Skip unittests due to nocheck
 endif
@@ -99,7 +108,7 @@
 endif
 	: # Use jquery from Debian package, so prune shipped one
 	#TODO -rm doc/_build/html/_static/jquery.js
-	dh_installdocs -A RELEASE.rst TODO.rst README*.rst
+	dh_installdocs -A *.rst
 
 #override_dh_installchangelogs:
 #	dh_installchangelogs doc/whats_new.rst
